[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItemEnumerator.MoveNext

Moves to the next position for the enumerator.

## Declaration

Source position: menus.pp line 107

`public function TMenuItemEnumerator.MoveNext: Boolean;`

## Function result

True if another TMenuItem instance is available for the enumerator.

## See also

TMenuItemEnumerator.Current |  | Contains the TMenuItem instance at the current position for the enumerator.
TMenuItem.Items |  | Provides indexed access to the child menu items for the current class instance.
TMenuItem.Count |  | Number of child menu items stored in the Items property.